Bug 772838 - Entitlement certificate serial numbers couldn't dispaly via katello CLI
Entitlement certificate serial numbers couldn't dispaly via katello CLI
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
SAM QE List
:
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2012-01-10 00:12 EST by yu zheng
Modified: 2012-04-26 20:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 20:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yu zheng 2012-01-10 00:12:19 EST
Description of problem:
After registering a system and subscribing to some subscriptions, headpin system subscriptions command couldn't display entitlement certificate serial numbers.

Version-Release number of selected component (if applicable):
katello-headpin-all-0.1.122-2.el6.noarch
katello-headpin-0.1.122-2.el6.noarch
katello-cli-headpin-0.1.13-2.el6.noarch
katello-cli-common-0.1.32-2.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.Register a system to SAM.
# headpin -u admin -p admin system register --name=testname --org=org1 --environment=env1
Successfully registered system [ testname ]

2.Consume a subscription.
# headpin -u admin -p admin system subscribe --org=org1 --name=testname --pool=8ac2851934b491950134b49feb28003b
Successfully subscribed System [ testname ]

3.List certificate serial numbers.
# headpin -u admin -p admin system subscriptions --org=org1 --name=sam-120106095640.redhat.com --serials

Actual results:
Serial parameter cannot be used with available

Expected results:
Entitlement certificate serial numbers should display successfully.
Comment 1 Bryan Kearney 2012-02-17 12:04:06 EST
This was fixed as part of 782775. The short answer is that the --serials option is no longer present.

Note You need to log in before you can comment on or make changes to this bug.